# Person-detection Application

person-detection is a demo application that runs in the Aether edge and showcases Aether's support for for low-latency, AI/ML driven IOT applications that make use of Aether's support for end-to-end slicing.

## Build base image
```
git clone git@github.com:openvinotoolkit/docker_ci.git
cd docker_ci
python3 docker_openvino.py build -d cpu -os ubuntu18 --distribution runtime --product_version 2021.4
```

## Build person-detection
```
make build
```

## Start RPi camera
```
gst-launch-1.0 rpicamsrc bitrate=1000000 ! video/x-raw,width=640,height=480,framerate=25/1,profile=baseline ! jpegenc ! rtpjpegpay ! udpsink host=10.128.99.49 port=5000
```

## Start persion-detection
```
make run
```

## Quick test
```
./bin/person_detection.sh -i resources/run.mp4
```
or
```
make run-native-test
```
